processing.app.contrib

## Enum ContributionType

- Object
- - Enum<ContributionType>
  - - ContributionType

- All Implemented Interfaces:
    Serializable, Comparable<ContributionType>

      public enum ContributionType
      extends Enum<ContributionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXAMPLES`
    `LIBRARY`
    `MODE`
    `TOOL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `createTempFolder()`
    `static ContributionType` | `fromName(String s)`
    `String` | `getFolderName()`
    `File` | `getSketchbookFolder()`
    `String` | `getTitle()` Get this type name as a purtied up, capitalized version.
    `boolean` | `isTempFolderName(String name)`
    `File[]` | `listCandidates(File folder)` Return a list of directories that have the necessary subfolder for this contribution type.
    `String` | `toString()`
    `static ContributionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ContributionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIBRARY

          public static final ContributionType LIBRARY

    - #### TOOL

          public static final ContributionType TOOL

    - #### MODE

          public static final ContributionType MODE

    - #### EXAMPLES

          public static final ContributionType EXAMPLES

  - ### Method Detail

    - #### values

          public static ContributionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContributionType c : ContributionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContributionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ContributionType>`

    - #### getTitle

          public String getTitle()

      Get this type name as a purtied up, capitalized version.
      Returns:
        Mode for mode, Tool for tool, etc.

    - #### getFolderName

          public String getFolderName()

    - #### createTempFolder

          public File createTempFolder()
                                throws IOException

      Throws:
        `IOException`

    - #### isTempFolderName

          public boolean isTempFolderName(String name)

    - #### fromName

          public static ContributionType fromName(String s)

    - #### getSketchbookFolder

          public File getSketchbookFolder()

    - #### listCandidates

          public File[] listCandidates(File folder)

      Return a list of directories that have the necessary subfolder for this contribution type. For instance, a list of folders that have a 'mode' subfolder if this is a ModeContribution.